using AdHocApi;

var builder = WebApplication.CreateBuilder(args);

// Add services to the container.
builder.Services.AddControllersWithViews();

// get the connection string from appsettings.json
string connectionString = builder.Configuration.GetValue<string>("Settings:ConnectionString");

// register services for dependency injection (di)
Functions.AddModelServices(builder.Services);
Functions.AddViewModelServices(builder.Services);
Functions.AddDataRepositoryAndBusinessLayerServices(builder.Services, connectionString);

var app = builder.Build();

// Configure the HTTP request pipeline.
if (!app.Environment.IsDevelopment())
{
    app.UseExceptionHandler("/Home/Error");
    // The default HSTS value is 30 days. You may want to change this for production scenarios, see https://aka.ms/aspnetcore-hsts.
    app.UseHsts();
}

app.UseHttpsRedirection();
app.UseStaticFiles();

app.UseRouting();

app.UseAuthorization();

app.MapControllerRoute(
    name: "default",
    pattern: "{controller=Home}/{action=Index}/{id?}");

app.Run();
