﻿// validates whether the passed value is numeric
// e.g. 1234 = true, 12abc34 = false.
function isNumeric(value) {
    var numericPattern = /^\d+$/;
    var matchArray = value.toString().match(numericPattern);

    if (matchArray !== null)
        return true;

    return false;
}

// validates whether the passed value is a decimal
// e.g. 12.34 = true, 12ab.34 = false.
function isDecimal(value) {
    var numericPattern = /^[0-9]+(\.[0-9]+)?$/;
    var matchArray = value.toString().match(numericPattern);

    if (matchArray !== null)
        return true;

    return false;
}

// validates whether the passed value is a date in any of these formats: 
// mm/dd/yyyy, m/d/yyyy, m/dd/yyyy, mm/d/yyyy
// e.g. 12/01/2018 = true, 12/1/2018 or 2018/12/01 = false.
function isDate(txtDate) {
    // checks for , 
    if (! /^\d\d\/\d\d\/\d\d\d\d$/.test(txtDate) && ! /^\d\/\d\/\d\d\d\d$/.test(txtDate) && ! /^\d\/\d\d\/\d\d\d\d$/.test(txtDate) && ! /^\d\d\/\d\/\d\d\d\d$/.test(txtDate))
        return false;

    const parts = txtDate.split('/').map((p) => parseInt(p, 10));
    parts[0] -= 1;
    const d = new Date(parts[2], parts[0], parts[1]);
    return d.getMonth() === parts[0] && d.getDate() === parts[1] && d.getFullYear() === parts[2];
}