using System;
using AdHocApi.Domain;
using System.Collections.Generic;

namespace AdHocApi.ViewModels
{ 
     /// <summary>
     /// Works like the Base class for ProductViewModel.
     /// ************************************* Do not make changes to this class *************************************
     /// ** Put your additional code in the ProductViewModel class under the ViewModel folder. **
     /// *************************************************************************************************************
     /// </summary>
     public partial class ProductViewModel
     { 
         /// <summary>
         /// The model used by the MVC view
         /// </summary>
         public AdHocApi.Models.Product Product { get; set; }

         /// <summary>
         /// Add new record or Update existing record
         /// </summary>
         public CrudOperation Operation { get; set; }

         /// <summary>
         /// Controller Name used by the MVC view
         /// </summary>
         public string ViewControllerName { get; set; }

         /// <summary>
         /// Action Name used by the MVC view
         /// </summary>
         public string ViewActionName { get; set; }

         /// <summary>
         /// URL where the current MVC view redirects to after the operation.
         /// </summary>
         public string ViewReturnUrl { get; set; }

         /// <summary>
         /// Data used by the Supplier drop down list control
         /// </summary>
         public List<Models.Supplier> SupplierDropDownListData { get; set; }

         /// <summary>
         /// Data used by the Category drop down list control
         /// </summary>
         public List<Models.Category> CategoryDropDownListData { get; set; }
     } 
} 
